* {
  margin: 0;
  padding: 0;
}

.main {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100%;
  background: url("../images/main.jpeg");
  background-size: 100% auto;
  /* background-repeat: no-repeat; */
  position: absolute;
}

.main-box {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 20rem;
  background: rgba(255, 255, 255, 0.6);
  padding: 2rem;
  border-radius: 5px;
}

.main-box h2 {
  margin-bottom: 3rem;
  color: #333;
}

.main-box1,
.main-box2 {
  margin-bottom: 2rem;
  width: 80%;
  height: 2rem;
  padding: .5rem;
  border: none;
  background: rgba(255, 255, 255, 1);
  border-radius: 5px;
  outline: none;
}


.main-box1::placeholder,
.main-box2::placeholder {
  color: #666;
}

.main-box3 {
  width: 80%;
  height: 2.5rem;
  margin-bottom: 1rem;
  border-radius: 5px;
  border: none;
  background-color: #3c98e3;
  color: #fff;
  cursor: pointer;
}

/*包含以下四种的链接*/
a {
  text-decoration: none;
  margin-bottom: 1rem;
  color: #3280c0;
}

.main-list{
  width: 20rem;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  background: rgba(255, 255, 255, 0.6);
  flex-direction: column;
  padding-bottom: 3rem;
  padding: 2rem;
}

.main-list-title{
  color: #333;
  margin: 0 auto;
  padding: 2rem  0px;
}

.main-code-but{
  position: absolute;
}


.main-zc{
  padding-right: 2rem;
}

.main-an{
   text-align: center;
    padding-top: 2rem;
    cursor: pointer;
    color: #3280c0;
}


.main-code{
  display: flex;
  align-items: center;
}


.main-list-inp,.main-code{
  margin: 0 auto;
  margin-bottom: 2rem;
  width: 80%;
  height: 2rem;
  padding: .5rem;
  border: none;
  background: rgba(255, 255, 255, 1);
  border-radius: 5px;
  outline: none;
}

.main-code input{
  height: 100%;
  border: none;
  outline: none;
  flex: 1;
  width: 100%;
}

.main-code-yzm{
  cursor: pointer;
  color: #333;
  font-size: 14px;
}

.retr_main-box3{
  margin:  0 auto;
}


@media screen and (max-width: 576px) {
  .main-box {
    background: #fff;
  }

  .main-box1,
  .main-box2 {
    margin-bottom: 1rem;
    border: 1px solid #666;
  }

}